LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 02-03-2008, 11:46 PM   #1
john lee
Member
 
Registered: Jun 2001
Location: Sydney, Australia
Posts: 42

Rep: Reputation: 15
Angry Install Problem in PHP 5.2.5 with Fedora 8, MySQL 5.0.45, Apache 1.3.41


Hi all,

I did the following installation:

1. Fedora 8 (minimum install)
2. Apache 1.3.41
3. MySQL 5.0.45 (from source)
4. PHP 5.2.5 <=== FAIL


When I ran:
# ./configure --with-mysql=/usr/local/mysql
--with-apxs=/usr/local/apache/bin/apxs
--with-zlib-dir=/usr/local/include


Php complains that something is wrong. When I looked at debug.log, the errors are:

gcc -o conftest -I/usr/include -g -O2 -L/usr/lib -Wl,-rpath,/usr/local/mysql/lib -L/usr/local/mysql/lib conftest.c -lcrypt -lrt -lmysqlclient -lz -lresolv -lm -ldl -lnsl -lxml2 -lz -lm -lxml2 -lz -lm -lxml2 -lz -lm -lcrypt 1>&5
conftest.c: In function 'main':
conftest.c:3: warning: incompatible implicit declaration of built-in function 'exit'
./conftest: error while loading shared libraries: /usr/local/mysql/lib/libmysqlclient.so.15: cannot restore segment prot after reloc: Permission denied

There was a hit in php-install but but there was no answer to the hit: http://marc.info/?l=php-db&m=119229684811786&w=2
I posted an email to php-install mailing list but there was no reply.

I previously was able to successfully install:

Fedora 7
Apache 1.3.39
MySQL 5.0.45
PHP 5.2.4

Can anyone please help me?
 
Old 02-04-2008, 02:52 AM   #2
bathory
LQ Guru
 
Registered: Jun 2004
Location: Piraeus
Distribution: Slackware
Posts: 12,752

Rep: Reputation: 1839Reputation: 1839Reputation: 1839Reputation: 1839Reputation: 1839Reputation: 1839Reputation: 1839Reputation: 1839Reputation: 1839Reputation: 1839Reputation: 1839
Since you and the other guy in the post you've mentioned use Fedora, I suspect a SELinux problem. Try disabling it to see if it helps.

Regards
 
Old 02-04-2008, 07:56 PM   #3
john lee
Member
 
Registered: Jun 2001
Location: Sydney, Australia
Posts: 42

Original Poster
Rep: Reputation: 15
Wink [solved]

bathory,

You are spot on!

I did (# setup) to disable the firewall and thought it would work.
It didn't work and I went into (# vi /etc/selinux/config) and set
(SELINUX=disabled). That did not work too.

I went to (# init 6) and after reboot I was able to install PHP without a hitch.

Thanks a lot for your help!

Regards,


John
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
php/shell script to install mysql,apache and php automatically stranger_6_7 Linux - General 2 08-11-2009 02:07 AM
Installing Apache, PHP, and Mysql on Fedora Core 4 Dsupreeme Linux - Software 10 10-03-2006 08:47 AM
Need help on PHP connecting to MySQL (Fedora Core 4, Apache) jun_tuko Programming 2 01-09-2006 07:05 PM
Apache, PHP, MySQL Install SpiderIRE Linux - Software 3 10-03-2005 04:50 AM
how do i install apache php and mysql ashokn Linux - Software 2 04-30-2004 06:20 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 07:12 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration